package edu.claflin.cyfinder.internal.tasks;

import org.cytoscape.model.CyNetwork;
import org.cytoscape.task.AbstractNetworkTask;
import org.cytoscape.work.TaskMonitor;

public class TitleTask extends AbstractNetworkTask
{
	private final String title;

	public TitleTask(CyNetwork network, String title)
	{
		super(network);
		this.title = title;
	}

	@Override
	public void run(TaskMonitor taskMonitor) throws Exception
	{
		taskMonitor.setTitle(title);
	}

}
